Bug 304055

Summary: next article should be ready to be deleted after deleting the previous one
Product: akregator Reporter: Denis Prost <denis.prost>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: denis.prost, lehoangphuongbg
Priority: NOR    
Version: 4.8.4   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Denis Prost 2012-07-25 16:08:59 UTC
when pressing "delete" key to delete an article in articles list, Next article should be selected so that the user can also delete it if he wants, just pressing again "delete", and so on. This is useful when you have so sort hundreds of articles and quickly delete the ones you don't want to read. 
As akregator acts today, after "delete", "delete" again does nothing. One has first to press "right arrow" key to highlight the next article, then press "delete". This is annoying when you have to repeat it many times.
Notice : I said to akregator, the first time it asked, not to ask for confirmation before deletion.
Comment 1 Lê Hoàng Phương 2012-07-27 02:59:19 UTC
The problem has been partially fixed from 4.8.5.
Comment 2 Denis Prost 2012-07-27 05:17:05 UTC
OK, thanks, I'll test next release when it is ready for kubuntu.
Comment 3 Frank Osterfeld 2013-03-03 11:48:47 UTC
Git commit 67ea96e21ce918744d7f507a29dd77b94c9f8248 by Frank Osterfeld.
Committed on 03/03/2013 at 12:47.
Pushed by osterfeld into branch 'akregator_port'.

When deleting an item, select the next one

M  +6    -0    akregator2/src/mainwidget.cpp

http://commits.kde.org/kdepim/67ea96e21ce918744d7f507a29dd77b94c9f8248
Comment 4 Denis Kurz 2016-09-24 19:40:36 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of akregator (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 5 Denis Prost 2016-11-20 13:53:14 UTC
Bug fixed on Debian jessie with KDE 4.14.2